View a markdown version of this page

DescribeDatasetExportJob - AWS IoT SiteWise

DescribeDatasetExportJob

Retrieves information about a dataset export job.

Request Syntax

GET /workspaces/workspaceName/dataset-export-jobs/jobId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

jobId

The unique identifier for the dataset export job.

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

workspaceName

The name of the workspace that contains the dataset export job.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "completedAt": number, "destinationS3Uri": "string", "errorReportLocation": { "s3Uri": "string" }, "input": { ... }, "jobId": "string", "startedAt": number, "status": "string", "workspaceName": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

completedAt

The timestamp when the job completed, or null if the job is still running.

Type: Timestamp

destinationS3Uri

The S3 URI where output clips are written.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Pattern: s3://[a-z0-9][a-z0-9.-]{1,61}[a-z0-9]/.+

errorReportLocation

The location where the error report will be written on failure.

Type: ExportErrorReportLocation object

input

The processing input that was provided in the CreateDatasetExportJob request.

Type: ProcessingInput object

Note: This object is a Union. Only one member of this object can be specified or returned.

jobId

The unique identifier for the dataset export job.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

startedAt

The timestamp when the job started processing.

Type: Timestamp

status

The current status of the dataset export job.

Type: String

Valid Values: SUBMITTED | RUNNING | COMPLETED | COMPLETED_WITH_ERRORS | FAILED

workspaceName

The name of the workspace that contains the dataset export job.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access is denied.

HTTP Status Code: 403

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: